﻿<div class="page-content">
    <div class="logo-cont">
        <img src="img/logo.png" />
    </div>
    <div class="list-block">
        <div class="m-auto">
            <form name="$parent.SignupAgentFirstWizardForm" ng-submit="submitForm($parent.SignupAgentFirstWizardForm.$valid)" novalidate>
                <ul>
                    <li>
                        <div class="item-content" ng-class="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.name.$invalid?'has-error':'no-error'">
                            <div class="item-media"><i class="ionicons ion-person"></i></div>
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="name" class="form-control" type="text" placeholder="الإسم بالكامل" ng-model="agentFirstWizardForm.name" required>
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.name.$error.required" class="error-block">يجب إدخال الإسم بالكامل</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.username.$invalid?'has-error':'no-error'">
                            <div class="item-media"><i class="ionicons ion-person"></i></div>
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="username" class="form-control" type="text" placeholder="اسم المستخدم" ng-pattern="nameRegex" ng-model="agentFirstWizardForm.username" required ng-minlength="4">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset  && $parent.SignupAgentFirstWizardForm.username.$error.required" class="error-block">يجب إدخال اسم المستخدم</p>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.username.$error.minlength" class="error-block">اسم المستخدم يجب ألا يقل عن أربع أحرف</p>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.username.$error.pattern" class="error-block">اسم المستخدم يجب أن يكون باللغة الإنجليزية ومن غير مسافات</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.password.$invalid?'has-error':'no-error'">
                            <div class="item-media"><i class="ionicons ion-android-lock"></i></div>
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="password" class="form-control" type="password" placeholder="كلمة المرور" ng-model="agentFirstWizardForm.password" required ng-minlength="6" ng-maxlength="30">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset  && $parent.SignupAgentFirstWizardForm.password.$error.required" class="error-block">يجب إدخال كلمة السر</p>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.password.$error.minlength" class="error-block">كلمة السر يجب ألا تقل عن ستة أحرف</p>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.password.$error.maxlength" class="error-block">كلمة السر يجب ألا تزيد عن ثلاثين حرفا</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.confirmpassword.$invalid?'has-error':'no-error'">
                            <div class="item-media"><i class="ionicons ion-android-lock"></i></div>
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="confirmpassword" class="form-control" type="password" placeholder="تأكيد كلمة المرور" ng-model="agentFirstWizardForm.confirmpassword" ng-pattern="agentFirstWizardForm.password" required ng-minlength="6" ng-maxlength="30">
                                </div>
                            </div>
                        </div>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.confirmpassword.$error.required" class="error-block">يجب تأكيد كلمة السر</p>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.confirmpassword.$error.minlength" class="error-block">كلمة السر يجب ألا تقل عن ستة أحرف</p>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset && $parent.SignupAgentFirstWizardForm.confirmpassword.$error.maxlength" class="error-block">كلمة السر يجب ألا تزيد عن ثلاثين حرفا</p>
                        <p ng-show="submittedAgentFirstWizardSignup && agentFirstWizardReset  && $parent.SignupAgentFirstWizardForm.confirmpassword.$error.pattern" class="error-block">كلمتا السر غير متطابقتين</p>
                    </li>
                </ul>
                <p>
                    <button id="agentFirstWizardSignUp" type="submit" class="button button-fill button-rounded centered-75 m-auto" ng-click="submittedAgentFirstWizardSignup=true">متابعة<i class="ionicons ion-arrow-left-b"></i></button>
                </p>
                <p>
                    <button ng-click="Pass()" class="button button-fill button-rounded centered-75 m-auto">تخطي</button>
                </p>
                <!--<p>
                    <button class="button button-fill button-rounded centered-75 m-auto" ng-click="GoBack()">عودة</button>
                </p>-->
            </form>
        </div>
    </div>
</div>